For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTSubmit batch calling job
      • GETList workspace batch calling jobs
      • GETGet batch call information
      • POSTCancel batch calling job
      • POSTRetry batch calling job
      • DELDelete batch calling job
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsBatch Calling

Submit batch calling job

POST
/v1/convai/batch-calling/submit
POST
/v1/convai/batch-calling/submit
$curl -X POST https://api.elevenlabs.io/v1/convai/batch-calling/submit \
> -H "Content-Type: application/json" \
> -d '{
> "call_name": "Customer Satisfaction Survey April 2024",
> "agent_id": "agent_987654321",
> "recipients": [
> {}
> ]
>}'
1{
2 "id": "batchcall_1234567890abcdef",
3 "phone_number_id": "phone_abc123xyz789",
4 "phone_provider": "twilio",
5 "whatsapp_params": {
6 "whatsapp_call_permission_request_template_name": "whatsapp_call_permission_template_01",
7 "whatsapp_call_permission_request_template_language_code": "en_US",
8 "whatsapp_phone_number_id": "whatsapp_5551234567"
9 },
10 "name": "Customer Satisfaction Survey April 2024",
11 "agent_id": "agent_987654321",
12 "branch_id": "branch_nyc_001",
13 "environment": "production",
14 "created_at_unix": 1712000000,
15 "scheduled_time_unix": 1712086400,
16 "timezone": "America/New_York",
17 "total_calls_dispatched": 0,
18 "total_calls_scheduled": 150,
19 "total_calls_finished": 0,
20 "last_updated_at_unix": 1712003600,
21 "status": "pending",
22 "retry_count": 0,
23 "telephony_call_config": {
24 "ringing_timeout_secs": 60
25 },
26 "target_concurrency_limit": 50,
27 "agent_name": "Support Agent Team A",
28 "branch_name": "New York City Branch"
29}
Submit a batch call request to schedule calls for multiple recipients.
Was this page helpful?
Previous

List workspace batch calling jobs

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
call_namestringRequired
agent_idstringRequired
recipientslist of objectsRequired
scheduled_time_unixinteger or nullOptional
agent_phone_number_idstring or nullOptional
whatsapp_paramsobject or nullOptional
timezonestring or nullOptional
branch_idstring or nullOptional
environmentstring or nullOptional
telephony_call_configobjectOptional
target_concurrency_limitinteger or nullOptional>=1

Maximum number of simultaneous calls for this batch. When set, dispatch is governed by this limit rather than workspace/agent capacity percentages.

Response

Successful Response
idstring
phone_number_idstring or null
phone_providerenum or null
Allowed values:
whatsapp_paramsobject or null
namestring
agent_idstring
branch_idstring or null
environmentstring or null
created_at_unixinteger
scheduled_time_unixinteger
timezonestring or null
total_calls_dispatchedintegerDefaults to 0
total_calls_scheduledintegerDefaults to 0
total_calls_finishedintegerDefaults to 0
last_updated_at_unixinteger
statusenum
Allowed values:
retry_countintegerDefaults to 0
telephony_call_configobject
target_concurrency_limitinteger or null>=1

Maximum number of simultaneous calls for this batch. When set, dispatch is governed by this limit rather than workspace/agent capacity percentages.

agent_namestring
branch_namestring or null

Errors

422
Unprocessable Entity Error